sysuse lifeexp, clear

label var lexp "Life expectancy, years" 

gen t_3 = . 
gen t_4 = . 
set seed 280352 
gen shuffle = . 
gen i = _n 
gen byte included = . 
qui forval i = 1/`=_N' { 
	replace shuffle = uniform()
	sort shuffle 
	lmoments lexp, detail, in 1/`i' 
	replace t_3 = r(t_3) if i == `i' 
	replace t_4 = r(t_4) if i == `i'
	su lexp, meanonly, in 1/`i'  
	replace included = r(min) == 54 if i == `i' 
}

separate t_3, by(included) veryshortlabel 
separate t_4, by(included) veryshortlabel
local la `" 17 `" "17" "25%" "' 34 `" "34" "50%" "' 51 `" "51" "75%" "' 68 `" "68" "100%" "' "'
scatter t_3? i, yti(t_3) xla(`la') yla(, ang(h)) xsc(titlegap(3)) xti(subsample size) ms(Oh O) legend(ring(0) pos(1) col(1) order(1 "out" 2 "in")) saving(lifeexp_t_3, asis replace)
more 
scatter t_4? i, yti(t_4) xla(`la') yla(, ang(h)) xsc(titlegap(3)) xti(subsample size) ms(Oh O) legend(ring(0) pos(1) col(1) order(1 "out" 2 "in")) saving(lifeexp_t_4, asis replace) 
